#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: shake
version: 0.15.5
id: shake-0.15.5-3bd205fa2b6fe6a2afef38d97a94f961
key: shake_3wj20IBWwOB5p5wbF5BeSH
license: BSD3
copyright: Neil Mitchell 2011-2015
maintainer: Neil Mitchell <ndmitchell@gmail.com>
homepage: http://shakebuild.com
synopsis: Build system library, like Make, but more accurate dependencies.
description:
    Shake is a Haskell library for writing build systems - designed as a
    replacement for @make@. See "Development.Shake" for an introduction,
    including an example. Further examples are included in the Cabal tarball,
    under the @Examples@ directory. The homepage contains links to a user
    manual, an academic paper and further information:
    <http://shakebuild.com>
    .
    To use Shake the user writes a Haskell program
    that imports "Development.Shake", defines some build rules, and calls
    the '\''Development.Shake.shakeArgs'\'' function. Thanks to do notation and infix
    operators, a simple Shake build system
    is not too dissimilar from a simple Makefile. However, as build systems
    get more complex, Shake is able to take advantage of the excellent
    abstraction facilities offered by Haskell and easily support much larger
    projects. The Shake library provides all the standard features available in other
    build systems, including automatic parallelism and minimal rebuilds.
    Shake also provides more accurate dependency tracking, including seamless
    support for generated files, and dependencies on system information
    (e.g. compiler version).
category: Development, Shake
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
exposed-modules:
    Development.Shake Development.Shake.Classes
    Development.Shake.Command Development.Shake.Config
    Development.Shake.FilePath Development.Shake.Rule
    Development.Shake.Util
hidden-modules: Development.Ninja.Env Development.Ninja.Lexer
                Development.Ninja.Parse Development.Ninja.Type
                Development.Shake.Args Development.Shake.ByteString
                Development.Shake.Core Development.Shake.Database
                Development.Shake.Demo Development.Shake.Derived
                Development.Shake.Errors Development.Shake.FileInfo
                Development.Shake.FilePattern Development.Shake.Monad
                Development.Shake.Pool Development.Shake.Profile
                Development.Shake.Progress Development.Shake.Resource
                Development.Shake.Rules.Directory Development.Shake.Rules.File
                Development.Shake.Rules.Files Development.Shake.Rules.Oracle
                Development.Shake.Rules.OrderOnly Development.Shake.Rules.Rerun
                Development.Shake.Shake Development.Shake.Special
                Development.Shake.Storage Development.Shake.Types
                Development.Shake.Value General.Bilist General.Binary
                General.Cleanup General.Concurrent General.Extra General.Intern
                General.Process General.String General.Template General.Timing
                Paths_shake
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/shake-0.15.5
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/shake-0.15.5
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/shake-0.15.5
hs-libraries: HSshake-0.15.5-3wj20IBWwOB5p5wbF5BeSH
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    binary-0.7.5.0-210ed49a66bfc1910dcc35f4d9fcd9cd
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    extra-1.4.1-a91aceb35b3355ac4451be3220c89c56
    filepath-1.4.0.0-8fee9c13b5e42926cc01f6aa7c403c4b
    hashable-1.2.3.3-8f170cf3be214ecb17aa999ac01e25b9
    js-flot-0.8.3-b02a582adf80c9e905756f3b581190a7
    js-jquery-1.11.3-307e860a1a791544a2e29430348e58e7
    old-time-1.1.0.3-81c58f7b590af5471e2e611eb5a1183c
    process-1.2.3.0-d0490258ea9b7ac28566ea8dc1a5cc4a
    random-1.1-3dda2690fd91339395d65768b92ac58f
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    unix-2.7.1.0-f5ecef24d7b553c6bb2150094d7a04c0
    unordered-containers-0.2.5.1-f06a187b7e838c69d874badd31102fe1
    utf8-string-1-ee5643b7fea66dd4ee6e92ea89e4fe77
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/shake-0.15.5/html/shake.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/shake-0.15.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
